diff -U 3 -H -d -r -N -- clang-2.9.orig/lib/Driver/ToolChains.cpp clang-2.9/lib/Driver/ToolChains.cpp
--- clang-2.9.orig/lib/Driver/ToolChains.cpp	2011-03-21 22:29:27.000000000 +0100
+++ clang-2.9/lib/Driver/ToolChains.cpp	2011-12-14 22:50:28.813000001 +0100
@@ -1432,6 +1432,9 @@
     else if (!llvm::sys::fs::exists("/usr/lib/gcc/x86_64-manbo-linux-gnu",
              Exists) && Exists)
       GccTriple = "x86_64-manbo-linux-gnu";
+    else if (!llvm::sys::fs::exists("/usr/lib64/gcc/x86_64-slackware-linux", Exists)
+            && Exists)
+      GccTriple = "x86_64-slackware-linux";
   } else if (Arch == llvm::Triple::x86) {
     if (!llvm::sys::fs::exists("/usr/lib/gcc/i686-linux-gnu", Exists) && Exists)
       GccTriple = "i686-linux-gnu";
@@ -1447,6 +1450,9 @@
     else if (!llvm::sys::fs::exists("/usr/lib/gcc/i586-suse-linux", Exists) &&
              Exists)
       GccTriple = "i586-suse-linux";
+    else if (!llvm::sys::fs::exists("/usr/lib/gcc/i486-slackware-linux", Exists)
+            && Exists)
+      GccTriple = "i486-slackware-linux";
   }
 
   const char* GccVersions[] = {"4.5.2", "4.5.1", "4.5", "4.4.5", "4.4.4",
diff -U 3 -H -d -r -N -- clang-2.9.orig/lib/Frontend/InitHeaderSearch.cpp clang-2.9/lib/Frontend/InitHeaderSearch.cpp
--- clang-2.9.orig/lib/Frontend/InitHeaderSearch.cpp	2011-03-22 01:24:04.000000000 +0100
+++ clang-2.9/lib/Frontend/InitHeaderSearch.cpp	2011-12-17 19:12:24.966000013 +0100
@@ -748,6 +748,12 @@
     AddGnuCPlusPlusIncludePaths("/usr/include/c++/4.5",
                                 "x86_64-suse-linux", "", "", triple);
 
+    // Slackware 13.37
+    AddGnuCPlusPlusIncludePaths("/usr/include/c++/4.5.2",
+                                "i486-slackware-linux", "", "", triple);
+    AddGnuCPlusPlusIncludePaths("/usr/include/c++/4.5.2",
+                                "x86_64-slackware-linux", "", "", triple);
+
     // Arch Linux 2008-06-24
     AddGnuCPlusPlusIncludePaths("/usr/include/c++/4.3.1",
                                 "i686-pc-linux-gnu", "", "", triple);
